using System;
class HelloWorld
{
    static void Main(string[] args)
    {
        string s = Console.ReadLine();
        string input = Console.ReadLine();
        string[] s1 = input.Split();
        int a1 = int.Parse(s1[0]);
        int a2 = int.Parse(s1[1]);
        char[] niz = new char[a1 + a2];

        int d = Math.Abs(a1 - a2);
        if (a1 > a2)
            niz[0] = s[0];
        else
            niz[0] = s[1];

        if ((d == 0) || (d == 1))
        {
            for (int i = 1; i < a1 + a2; i++)
            {
                if (niz[i - 1] == s[0])
                    niz[i] = s[1];
                else
                    niz[i] = s[0];
            }
            string o = new string(niz);
            Console.WriteLine(o);
        }
        else
            Console.WriteLine("nemoguce");
    }
}